## Struct ends_with_fun

boost::log::ends_with_fun — The `ends_with` functor.

## Synopsis

    // In header: <boost/log/utility/functional/ends_with.hpp>

    struct ends_with_fun {
      // types
      typedef bool result_type;

      // public member functions
      template<typename T, typename U> bool operator()(T const &, U const &) const;
    };

## Description

### `ends_with_fun` public member functions

1.     template<typename T, typename U>
         bool operator()(T const & left, U const & right) const;